API Explorer
Receive Money Queries
Eazzy Pay Merchants

Get All EazzyPay Merchants

Test URL

GEThttps://uat.finserve.africa/v3-apis/transaction-api/v3.0/merchants

Live URL

GEThttps://api.finserve.africa/v3-apis/transaction-api/v3.0/merchants

This webservice returns all EazzyPay merchants.

200 Success Response Schema

Field NameField TypeField Description
merchantarraymerchants list
merchant.namestringmerchant name
merchant.tillnumberstringmerchant till number
merchant.outletsarrayoutlets list
merchants.outlets.namestringmerchant outlet name
merchants.outlets.tillnumberstringmerchant outlet till number

Example Request

⚠️

In the example below, please remember to replace the variables enclosed within curly brackets {{ }} with the actual values.

Signature Formula e.g. randomstringhere
<random_string>
URL Parameters
ParameterTypeDescriptionRequired
per_pageintNumber of results per page (pagination)Optional
pageintPage number for paginationOptional
Example Request
curl -X GET \
	-H 'Authorization: Bearer {{token}}'  \
	-L 'https://sandbox.jengahq.io/transaction-test/v3/merchants?per_page=1&page=1'

Example Response

Example Response
{
    "merchants": [
        {
            "name": "Nakumatt",
            "tillnumber": "0766002221",
            "outlets": [
                {
                    "name": "Nakumatt Presitige",
                    "tillnumber": "0766002201"
                },
                {
                    "name": "Nakumatt Junction",
                    "tillnumber": "0766014221"
                }
            ]
        }
    ]
}

Error Responses

400 Bad Request

Missing or invalid parameters in the request body.

{
  "status": false,
  "code": 400,
  "message": "Invalid request parameters",
  "error_code": "INVALID_REQUEST"
}

401 Unauthorized

Invalid or expired access token.

{
  "status": false,
  "code": 401,
  "message": "Invalid or expired access token",
  "error_code": "UNAUTHORIZED"
}

403 Forbidden

Valid credentials but invalid signature or insufficient permissions.

{
  "status": false,
  "code": 403,
  "message": "Invalid signature or insufficient permissions",
  "error_code": "FORBIDDEN"
}

404 Not Found

Account not found or invalid account number.

{
  "status": false,
  "code": 404,
  "message": "Source or destination account not found",
  "error_code": "ACCOUNT_NOT_FOUND"
}

Support

For questions or issues with this API: